      subroutine mulvvvv(i,j,k,l,aa)
      use module
      IMPLICIT REAL(8)(A-H,O-X,Z),logical(1)(y)
      dimension aa(3)
      call mulvvvvdx(i,j,k,l,aa(1),aa(2))
      call mulvvvvdx(i,k,j,l,aa(3),aa(2))
      call mulvvvvdx(i,l,k,j,aa(1),aa(3))
      return
      return
      end
       subroutine mulvvv(i,j,k,aa)
      use module
      IMPLICIT REAL(8)(A-H,O-X,Z),logical(1)(y)
      dimension aa(2)
      ! Integrale iijk
      if(w)print*,'mulooo Integrale iijk'
      call mulvvvvdx(i,i,j,k,aa(1),aa(1))
      if(w)print*,'mulooo Integrale ijik'
      call mulvvvvdx(i,j,i,k,aa(2),aa(1))
      return
      end
